Update transfer metadata by id
curl --request PATCH \
--url https://api-sandbox.orum.io/deliver/transfers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Orum-Version: <orum-version>' \
--data '{
"metadata": {}
}'import requests
url = "https://api-sandbox.orum.io/deliver/transfers/{id}"
payload = { "metadata": {} }
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Orum-Version': '<orum-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({metadata: {}})
};
fetch('https://api-sandbox.orum.io/deliver/transfers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transfer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transfer_reference_id": "<string>",
"amount": 2,
"currency": "USD",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source": {
"customer_reference_id": "<string>",
"account_reference_id": "<string>",
"statement_display_name": "<string>",
"trace_number": "<string>",
"return_trace_number": "<string>"
},
"destination": {
"customer_reference_id": "<string>",
"account_reference_id": "<string>",
"statement_display_name": "<string>",
"trace_number": "<string>",
"return_trace_number": "<string>"
},
"status_reasons": [
{
"source": {
"reason_code": "insufficient_funds",
"reason_code_message": "<string>",
"network_reason_code": "<string>",
"network_reason_code_message": "<string>",
"network_reason_code_rail_type": "<string>"
},
"destination": {
"reason_code": "insufficient_funds",
"reason_code_message": "<string>",
"network_reason_code": "<string>",
"network_reason_code_message": "<string>",
"network_reason_code_rail_type": "<string>"
}
}
],
"account_statement_descriptor": "<string>",
"estimated_funds_delivery_date": "2023-11-07T05:31:56Z",
"metadata": {},
"transfer_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subledger_reference_id": "<string>"
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Transfers
Update Transfer Metadata By ID
Update the metadata on a transfer.
PATCH
/
deliver
/
transfers
/
{id}
Update transfer metadata by id
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version of Deliver and Verify APIs. Use v2022-09-21.
Available options:
v2022-09-21 Path Parameters
Orum generated unique id for the transfer you are fetching. Orum generated unique id for the resource.
Body
application/json
Additional data you would like to provide on the resource. The field supports valid JSON of up to 5 key-value pairs with a maximum of 20 characters for the key and 50 characters for the value. Do not include any sensitive information.
Response
200 response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I